#
# spec file for package scid (Version 2.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tcl tcl-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         scid
Copyright:    GPL
Group:        Amusements/Games
Provides:     phalanx
Autoreqprov:  on
Version:      2.5
Release:      58
Source:       %{name}-%{version}.tar.bz2
URL:	      http://scid.sourceforge.net
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A chess database application

%description 
Scid can perform many different searches such as: for particular players,
a certain opening position, material searches, and pattern searches such
as isolated pawns. It is very fast since it uses its own efficient
format, but it can convert games to and from PGN, the standard format for
chess game files.
Scid can use a chess engine such as Crafty to analyze games and also has a
"tree" mode where it automatically shows all moves played from the current
position, their opening codes, success rates, etc.

Authors:
--------
    Shane Hudson <shane@cosc.canterbury.ac.nz>

SuSE series: fun

%prep
%setup 
%patch 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING  CHANGES TODO README
/usr/share/scid/
/usr/X11R6/bin/*

%changelog -n scid
* Mon Jun 25 2001 - pblaha@suse.cz
- update on 2.5
* Wed May 30 2001 - pblaha@suse.cz
- update on 2.4
- rewrite URL
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Jan 16 2001 - pblaha@suse.cz
- create this package
